Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::NodeUpdateDescriptor`

## Overview

    struct NodeUpdateDescriptor

### Used By

NodeUpdateDescriptorSeq

### Data Member Index

description

  The updated description (or null if the description wasn't updated.)

loadFactor

  The updated load factor of the node (or null if the load factor wasn't updated.)

name

  The name of the node to update.

removeServers

  The ids of the servers to remove.

removeVariables

  The variables to remove.

serverInstances

  The server instances to update.

servers

  The servers which are not template instances to update.

variables

  The variables to update.

## `description`

    BoxedString description;

The updated description (or null if the description wasn't updated.)

## `loadFactor`

    BoxedString loadFactor;

The updated load factor of the node (or null if the load factor wasn't updated.)

## `name`

    string name;

The name of the node to update.

## `removeServers`

    ::Ice::StringSeq removeServers;

The ids of the servers to remove.

## `removeVariables`

    ::Ice::StringSeq removeVariables;

The variables to remove.

## `serverInstances`

    ServerInstanceDescriptorSeq serverInstances;

The server instances to update.

## `servers`

    ServerDescriptorSeq servers;

The servers which are not template instances to update.

## `variables`

    [ "java:type:java.util.TreeMap" ]
    StringStringDict variables;

The variables to update.

<<< Previous | Home | Next >>>
`IceGrid::NodeUnreachableException` | Up | `IceGrid::ObjectDescriptor`